GNUCAP-IBIS(1)

NAME
gnucap-ibis - GNU Circuit Analysis Package IBIS translator

SYNOPSIS
gnucap-ibis [--typ] [--min] [--max] [--power-on] [--on] [--off] filename [--dump [filename]] [--spice [filename]]

DESCRIPTION
GNUCAP-IBIS is a IBIS translator tool in the GNUCAP suite. It will transform IBIS models into SPICE models for use in SPICE simulations.

The IBIS model in filename is being parsed and can be translated to whatever format is requested. By using the --spice option a SPICE model can be generated. By using the --dump option a IBIS dump may be performed (mainly for testing purposes). A typical usage can be gnucap-ibis mymodel.ibis -spice

OPTIONS

--typ
    sets simulation mode to typical values (default)

--min
    sets simulation mode to minimal values

--max
    sets simulation mode to maximal values

--power-on
    sets device state to power on

--on
    sets device state to on

--off
    sets device state to off

--prefix prefix
    sets the prefix on generated code (default no prefix)

--dump [filename]
    enable the dumping of the interprented IBIS file in IBIS format. Optionally an output filename may be given (default filename is incomming filename with .dump postfix)

--spice [filename]
    enable the dumping of a SPICE model. Optionally an output filename may be given (default filename is incomming filename . mode .ckt).

BUGS
See /usr/share/doc/gnucap/bugs for a list of known bugs in this release.

GNUCAP is an ongoing research project. It is being released in a preliminary phase in hopes that it will be useful and that others will use it as a thrust or base for their research. I also hope for some comments that may help me direct my research.

AUTHOR
GNUCAP is being written by Albert Davis <aldavis@ieee.org>

This manual page was written by Magnus Danielson <cfmd@bredband.net> and maintained by Hamish Moffatt <hamish@debian.org> for the Debian package of gnucap. For the full LaTeX documentation, please see /usr/share/doc/gnucap/manual.